using System;

using BS.Shared;

namespace BeWo.Data.Entities
{
	public class ResetPasswordInfo : BeWoEntityBase
	{
		public static string PropertyName_Code = "Code";
		public static string PropertyName_ApplicationUser = "ApplicationUser";
		public static string PropertyName_HasToChangePW = "HasToChangePW";
		public static string PropertyName_ResetDate = "ResetDate";

		private string _Code;
		
		private bool _HasToChangePW;
		private DateTime _ResetDate;

		public ResetPasswordInfo()
		{
			_Tid = TableID.ResetPasswordInfo;
		}

		public virtual string Code
		{
			get { return _Code; }

			set
			{
				if (AreDifferent(_Code, value))
					_Code = value;
			}
		}

		public virtual bool HasToChangePW
		{
			get { return _HasToChangePW; }

			set
			{
				if (AreDifferent(_HasToChangePW, value))
					_HasToChangePW = value;
			}
		}

		public virtual DateTime ResetDate
		{
			get { return _ResetDate; }

			set
			{
				if (AreDifferent(_ResetDate, value))
					_ResetDate = value;
			}
		}
	}
}
